🤑 Indie game store🙌 Free games😂 Fun games😨 Horror games
👷 Game development🎨 Assets📚 Comics
🎉 Sales🎁 Bundles

Me again, so apperenttly I need ".NETFramework,Version=v4.5.2" And it will not work without. Is this normal?

This might be due to Windows 7, which does not come with that version of the .NET Framework. You can get it here.